diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyten/functions.php ./wordpress-3.4/wp-content/themes/twentyten/functions.php
*** ./wordpress-3.3.2/wp-content/themes/twentyten/functions.php	2011-12-10 13:18:51.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyten/functions.php	2012-06-04 09:43:19.000000000 -0500
***************
*** 61,72 ****
   * To override twentyten_setup() in a child theme, add your own twentyten_setup to your child theme's
   * functions.php file.
   *
!  * @uses add_theme_support() To add support for post thumbnails and automatic feed links.
   * @uses register_nav_menus() To add support for navigation menus.
-  * @uses add_custom_background() To add support for a custom background.
   * @uses add_editor_style() To style the visual editor.
   * @uses load_theme_textdomain() For translation/localization support.
-  * @uses add_custom_image_header() To add support for a custom header.
   * @uses register_default_headers() To register the default custom header images provided with the theme.
   * @uses set_post_thumbnail_size() To set a custom post thumbnail size.
   *
--- 61,70 ----
   * To override twentyten_setup() in a child theme, add your own twentyten_setup to your child theme's
   * functions.php file.
   *
!  * @uses add_theme_support() To add support for post thumbnails, custom headers and backgrounds, and automatic feed links.
   * @uses register_nav_menus() To add support for navigation menus.
   * @uses add_editor_style() To style the visual editor.
   * @uses load_theme_textdomain() For translation/localization support.
   * @uses register_default_headers() To register the default custom header images provided with the theme.
   * @uses set_post_thumbnail_size() To set a custom post thumbnail size.
   *
***************
*** 90,135 ****
  	// Translations can be filed in the /languages/ directory
  	load_theme_textdomain( 'twentyten', get_template_directory() . '/languages' );
  
- 	$locale = get_locale();
- 	$locale_file = get_template_directory() . "/languages/$locale.php";
- 	if ( is_readable( $locale_file ) )
- 		require_once( $locale_file );
- 
  	// This theme uses wp_nav_menu() in one location.
  	register_nav_menus( array(
  		'primary' => __( 'Primary Navigation', 'twentyten' ),
  	) );
  
! 	// This theme allows users to set a custom background
! 	add_custom_background();
  
! 	// Your changeable header business starts here
! 	if ( ! defined( 'HEADER_TEXTCOLOR' ) )
! 		define( 'HEADER_TEXTCOLOR', '' );
  
! 	// No CSS, just IMG call. The %s is a placeholder for the theme template directory URI.
! 	if ( ! defined( 'HEADER_IMAGE' ) )
! 		define( 'HEADER_IMAGE', '%s/images/headers/path.jpg' );
! 
! 	// The height and width of your custom header. You can hook into the theme's own filters to change these values.
! 	// Add a filter to twentyten_header_image_width and twentyten_header_image_height to change these values.
! 	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'twentyten_header_image_width', 940 ) );
! 	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'twentyten_header_image_height', 198 ) );
  
  	// We'll be using post thumbnails for custom header images on posts and pages.
  	// We want them to be 940 pixels wide by 198 pixels tall.
  	// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
! 	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
! 
! 	// Don't support text inside the header image.
! 	if ( ! defined( 'NO_HEADER_TEXT' ) )
! 		define( 'NO_HEADER_TEXT', true );
! 
! 	// Add a way for the custom header to be styled in the admin panel that controls
! 	// custom headers. See twentyten_admin_header_style(), below.
! 	add_custom_image_header( '', 'twentyten_admin_header_style' );
  
! 	// ... and thus ends the changeable header business.
  
  	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
  	register_default_headers( array(
--- 88,140 ----
  	// Translations can be filed in the /languages/ directory
  	load_theme_textdomain( 'twentyten', get_template_directory() . '/languages' );
  
  	// This theme uses wp_nav_menu() in one location.
  	register_nav_menus( array(
  		'primary' => __( 'Primary Navigation', 'twentyten' ),
  	) );
  
! 	// This theme allows users to set a custom background.
! 	add_theme_support( 'custom-background', array(
! 		// Let WordPress know what our default background color is.
! 		'default-color' => 'f1f1f1',
! 	) );
  
! 	// The custom header business starts here.
  
! 	$custom_header_support = array(
! 		// The default image to use.
! 		// The %s is a placeholder for the theme template directory URI.
! 		'default-image' => '%s/images/headers/path.jpg',
! 		// The height and width of our custom header.
! 		'width' => apply_filters( 'twentyten_header_image_width', 940 ),
! 		'height' => apply_filters( 'twentyten_header_image_height', 198 ),
! 		// Support flexible heights.
! 		'flex-height' => true,
! 		// Don't support text inside the header image.
! 		'header-text' => false,
! 		// Callback for styling the header preview in the admin.
! 		'admin-head-callback' => 'twentyten_admin_header_style',
! 	);
! 	
! 	add_theme_support( 'custom-header', $custom_header_support );
! 	
! 	if ( ! function_exists( 'get_custom_header' ) ) {
! 		// This is all for compatibility with versions of WordPress prior to 3.4.
! 		define( 'HEADER_TEXTCOLOR', '' );
! 		define( 'NO_HEADER_TEXT', true );
! 		define( 'HEADER_IMAGE', $custom_header_support['default-image'] );
! 		define( 'HEADER_IMAGE_WIDTH', $custom_header_support['width'] );
! 		define( 'HEADER_IMAGE_HEIGHT', $custom_header_support['height'] );
! 		add_custom_image_header( '', $custom_header_support['admin-head-callback'] );
! 		add_custom_background();
! 	}
  
  	// We'll be using post thumbnails for custom header images on posts and pages.
  	// We want them to be 940 pixels wide by 198 pixels tall.
  	// Larger images will be auto-cropped to fit, smaller ones will be ignored. See header.php.
! 	set_post_thumbnail_size( $custom_header_support['width'], $custom_header_support['height'], true );
  
! 	// ... and thus ends the custom header business.
  
  	// Default custom headers packaged with the theme. %s is a placeholder for the theme template directory URI.
  	register_default_headers( array(
***************
*** 201,207 ****
  	border-bottom: 1px solid #000;
  	border-top: 4px solid #000;
  }
! /* If NO_HEADER_TEXT is false, you would style the text with these selectors:
  	#headimg #name { }
  	#headimg #desc { }
  */
--- 206,212 ----
  	border-bottom: 1px solid #000;
  	border-top: 4px solid #000;
  }
! /* If header-text was supported, you would style the text with these selectors:
  	#headimg #name { }
  	#headimg #desc { }
  */
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyten/header.php ./wordpress-3.4/wp-content/themes/twentyten/header.php
*** ./wordpress-3.3.2/wp-content/themes/twentyten/header.php	2011-01-14 13:16:21.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyten/header.php	2012-06-04 09:43:19.000000000 -0500
***************
*** 66,87 ****
  				<div id="site-description"><?php bloginfo( 'description' ); ?></div>
  
  				<?php
  					// Check if this is a post or page, if it has a thumbnail, and if it's a big one
  					if ( is_singular() && current_theme_supports( 'post-thumbnails' ) &&
  							has_post_thumbnail( $post->ID ) &&
  							( /* $src, $width, $height */ $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'post-thumbnail' ) ) &&
! 							$image[1] >= HEADER_IMAGE_WIDTH ) :
  						// Houston, we have a new header image!
  						echo get_the_post_thumbnail( $post->ID );
! 					elseif ( get_header_image() ) : ?>
! 						<img src="<?php header_image(); ?>" width="<?php echo HEADER_IMAGE_WIDTH; ?>" height="<?php echo HEADER_IMAGE_HEIGHT; ?>" alt="" />
  					<?php endif; ?>
  			</div><!-- #branding -->
  
  			<div id="access" role="navigation">
! 			  <?php /*  Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff */ ?>
  				<div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentyten' ); ?>"><?php _e( 'Skip to content', 'twentyten' ); ?></a></div>
! 				<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */ ?>
  				<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
  			</div><!-- #access -->
  		</div><!-- #masthead -->
--- 66,105 ----
  				<div id="site-description"><?php bloginfo( 'description' ); ?></div>
  
  				<?php
+ 					// Compatibility with versions of WordPress prior to 3.4.
+ 					if ( function_exists( 'get_custom_header' ) ) {
+ 						// We need to figure out what the minimum width should be for our featured image.
+ 						// This result would be the suggested width if the theme were to implement flexible widths.
+ 						$header_image_width = get_theme_support( 'custom-header', 'width' );
+ 					} else {
+ 						$header_image_width = HEADER_IMAGE_WIDTH;
+ 					}
+ 
  					// Check if this is a post or page, if it has a thumbnail, and if it's a big one
  					if ( is_singular() && current_theme_supports( 'post-thumbnails' ) &&
  							has_post_thumbnail( $post->ID ) &&
  							( /* $src, $width, $height */ $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'post-thumbnail' ) ) &&
! 							$image[1] >= $header_image_width ) :
  						// Houston, we have a new header image!
  						echo get_the_post_thumbnail( $post->ID );
! 					elseif ( get_header_image() ) :
! 						// Compatibility with versions of WordPress prior to 3.4.
! 						if ( function_exists( 'get_custom_header' ) ) {
! 							$header_image_width  = get_custom_header()->width;
! 							$header_image_height = get_custom_header()->height;
! 						} else {
! 							$header_image_width  = HEADER_IMAGE_WIDTH;
! 							$header_image_height = HEADER_IMAGE_HEIGHT;
! 						}
! 					?>
! 						<img src="<?php header_image(); ?>" width="<?php echo $header_image_width; ?>" height="<?php echo $header_image_height; ?>" alt="" />
  					<?php endif; ?>
  			</div><!-- #branding -->
  
  			<div id="access" role="navigation">
! 			  <?php /* Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff */ ?>
  				<div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentyten' ); ?>"><?php _e( 'Skip to content', 'twentyten' ); ?></a></div>
! 				<?php /* Our navigation menu. If one isn't filled out, wp_nav_menu falls back to wp_page_menu. The menu assiged to the primary position is the one used. If none is assigned, the menu with the lowest ID is used. */ ?>
  				<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
  			</div><!-- #access -->
  		</div><!-- #masthead -->
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyten/loop-attachment.php ./wordpress-3.4/wp-content/themes/twentyten/loop-attachment.php
*** ./wordpress-3.3.2/wp-content/themes/twentyten/loop-attachment.php	2011-12-10 13:18:51.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyten/loop-attachment.php	2011-12-16 11:13:16.000000000 -0600
***************
*** 2,8 ****
  /**
   * The loop that displays an attachment.
   *
!  * The loop displays the posts and the post content.  See
   * http://codex.wordpress.org/The_Loop to understand it and
   * http://codex.wordpress.org/Template_Tags to understand
   * the tags used in it.
--- 2,8 ----
  /**
   * The loop that displays an attachment.
   *
!  * The loop displays the posts and the post content. See
   * http://codex.wordpress.org/The_Loop to understand it and
   * http://codex.wordpress.org/Template_Tags to understand
   * the tags used in it.
***************
*** 114,117 ****
  
  <?php comments_template(); ?>
  
! <?php endwhile; // end of the loop. ?>
\ No newline at end of file
--- 114,117 ----
  
  <?php comments_template(); ?>
  
! <?php endwhile; // end of the loop. ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyten/loop-page.php ./wordpress-3.4/wp-content/themes/twentyten/loop-page.php
*** ./wordpress-3.3.2/wp-content/themes/twentyten/loop-page.php	2010-10-09 04:17:42.000000000 -0500
--- ./wordpress-3.4/wp-content/themes/twentyten/loop-page.php	2011-12-16 11:13:16.000000000 -0600
***************
*** 2,8 ****
  /**
   * The loop that displays a page.
   *
!  * The loop displays the posts and the post content.  See
   * http://codex.wordpress.org/The_Loop to understand it and
   * http://codex.wordpress.org/Template_Tags to understand
   * the tags used in it.
--- 2,8 ----
  /**
   * The loop that displays a page.
   *
!  * The loop displays the posts and the post content. See
   * http://codex.wordpress.org/The_Loop to understand it and
   * http://codex.wordpress.org/Template_Tags to understand
   * the tags used in it.
***************
*** 33,36 ****
  
  				<?php comments_template( '', true ); ?>
  
! <?php endwhile; // end of the loop. ?>
\ No newline at end of file
--- 33,36 ----
  
  				<?php comments_template( '', true ); ?>
  
! <?php endwhile; // end of the loop. ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyten/loop.php ./wordpress-3.4/wp-content/themes/twentyten/loop.php
*** ./wordpress-3.3.2/wp-content/themes/twentyten/loop.php	2011-02-21 12:35:37.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyten/loop.php	2011-12-16 11:13:16.000000000 -0600
***************
*** 2,8 ****
  /**
   * The loop that displays posts.
   *
!  * The loop displays the posts and the post content.  See
   * http://codex.wordpress.org/The_Loop to understand it and
   * http://codex.wordpress.org/Template_Tags to understand
   * the tags used in it.
--- 2,8 ----
  /**
   * The loop that displays posts.
   *
!  * The loop displays the posts and the post content. See
   * http://codex.wordpress.org/The_Loop to understand it and
   * http://codex.wordpress.org/Template_Tags to understand
   * the tags used in it.
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-content/themes/twentyten/loop-single.php ./wordpress-3.4/wp-content/themes/twentyten/loop-single.php
*** ./wordpress-3.3.2/wp-content/themes/twentyten/loop-single.php	2011-12-10 13:18:51.000000000 -0600
--- ./wordpress-3.4/wp-content/themes/twentyten/loop-single.php	2011-12-16 11:13:16.000000000 -0600
***************
*** 2,8 ****
  /**
   * The loop that displays a single post.
   *
!  * The loop displays the posts and the post content.  See
   * http://codex.wordpress.org/The_Loop to understand it and
   * http://codex.wordpress.org/Template_Tags to understand
   * the tags used in it.
--- 2,8 ----
  /**
   * The loop that displays a single post.
   *
!  * The loop displays the posts and the post content. See
   * http://codex.wordpress.org/The_Loop to understand it and
   * http://codex.wordpress.org/Template_Tags to understand
   * the tags used in it.
***************
*** 64,67 ****
  
  				<?php comments_template( '', true ); ?>
  
! <?php endwhile; // end of the loop. ?>
\ No newline at end of file
--- 64,67 ----
  
  				<?php comments_template( '', true ); ?>
  
! <?php endwhile; // end of the loop. ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-cron.php ./wordpress-3.4/wp-cron.php
*** ./wordpress-3.3.2/wp-cron.php	2011-09-09 14:59:44.000000000 -0500
--- ./wordpress-3.4/wp-cron.php	2012-01-09 13:02:31.000000000 -0600
***************
*** 48,54 ****
  	die();
  
  $keys = array_keys( $crons );
! $local_time = time();
  
  if ( isset($keys[0]) && $keys[0] > $local_time )
  	die();
--- 48,54 ----
  	die();
  
  $keys = array_keys( $crons );
! $local_time = microtime( true );
  
  if ( isset($keys[0]) && $keys[0] > $local_time )
  	die();
***************
*** 61,67 ****
  		// Called from external script/job. Try setting a lock.
  		if ( $doing_cron_transient && ( $doing_cron_transient + WP_CRON_LOCK_TIMEOUT > $local_time ) )
  			return;
! 		$doing_cron_transient = $doing_wp_cron = time();
  		set_transient( 'doing_cron', $doing_wp_cron );
  	} else {
  		$doing_wp_cron = $_GET[ 'doing_wp_cron' ];
--- 61,67 ----
  		// Called from external script/job. Try setting a lock.
  		if ( $doing_cron_transient && ( $doing_cron_transient + WP_CRON_LOCK_TIMEOUT > $local_time ) )
  			return;
! 		$doing_cron_transient = $doing_wp_cron = sprintf( '%.22F', microtime( true ) );
  		set_transient( 'doing_cron', $doing_wp_cron );
  	} else {
  		$doing_wp_cron = $_GET[ 'doing_wp_cron' ];
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/admin-bar.php ./wordpress-3.4/wp-includes/admin-bar.php
*** ./wordpress-3.3.2/wp-includes/admin-bar.php	2011-12-05 21:51:58.000000000 -0600
--- ./wordpress-3.4/wp-includes/admin-bar.php	2012-06-08 13:45:12.000000000 -0500
***************
*** 64,70 ****
  	do_action( 'wp_after_admin_bar_render' );
  }
  add_action( 'wp_footer', 'wp_admin_bar_render', 1000 );
! add_action( 'admin_footer', 'wp_admin_bar_render', 1000 );
  
  /**
   * Add the WordPress logo menu.
--- 64,70 ----
  	do_action( 'wp_after_admin_bar_render' );
  }
  add_action( 'wp_footer', 'wp_admin_bar_render', 1000 );
! add_action( 'in_admin_header', 'wp_admin_bar_render', 0 );
  
  /**
   * Add the WordPress logo menu.
***************
*** 75,81 ****
  	$wp_admin_bar->add_menu( array(
  		'id'    => 'wp-logo',
  		'title' => '<span class="ab-icon"></span>',
! 		'href'  => admin_url( 'about.php' ),
  		'meta'  => array(
  			'title' => __('About WordPress'),
  		),
--- 75,81 ----
  	$wp_admin_bar->add_menu( array(
  		'id'    => 'wp-logo',
  		'title' => '<span class="ab-icon"></span>',
! 		'href'  => self_admin_url( 'about.php' ),
  		'meta'  => array(
  			'title' => __('About WordPress'),
  		),
***************
*** 87,93 ****
  			'parent' => 'wp-logo',
  			'id'     => 'about',
  			'title'  => __('About WordPress'),
! 			'href'   => admin_url('about.php'),
  		) );
  	}
  
--- 87,93 ----
  			'parent' => 'wp-logo',
  			'id'     => 'about',
  			'title'  => __('About WordPress'),
! 			'href'  => self_admin_url( 'about.php' ),
  		) );
  	}
  
***************
*** 96,102 ****
  		'parent'    => 'wp-logo-external',
  		'id'        => 'wporg',
  		'title'     => __('WordPress.org'),
! 		'href'      => __('http://wordpress.org'),
  	) );
  
  	// Add codex link
--- 96,102 ----
  		'parent'    => 'wp-logo-external',
  		'id'        => 'wporg',
  		'title'     => __('WordPress.org'),
! 		'href'      => __('http://wordpress.org/'),
  	) );
  
  	// Add codex link
***************
*** 104,110 ****
  		'parent'    => 'wp-logo-external',
  		'id'        => 'documentation',
  		'title'     => __('Documentation'),
! 		'href'      => __('http://codex.wordpress.org'),
  	) );
  
  	// Add forums link
--- 104,110 ----
  		'parent'    => 'wp-logo-external',
  		'id'        => 'documentation',
  		'title'     => __('Documentation'),
! 		'href'      => __('http://codex.wordpress.org/'),
  	) );
  
  	// Add forums link
***************
*** 248,256 ****
  			'href'   => home_url( '/' ),
  		) );
  
! 	// We're on the front end, print a copy of the admin menu.
  	} else {
! 		// Add the dashboard item.
  		$wp_admin_bar->add_menu( array(
  			'parent' => 'site-name',
  			'id'     => 'dashboard',
--- 248,264 ----
  			'href'   => home_url( '/' ),
  		) );
  
! 		if ( is_blog_admin() && is_multisite() && current_user_can( 'manage_sites' ) ) {
! 			$wp_admin_bar->add_menu( array(
! 				'parent' => 'site-name',
! 				'id'     => 'edit-site',
! 				'title'  => __( 'Edit Site' ),
! 				'href'   => network_admin_url( 'site-info.php?id=' . get_current_blog_id() ),
! 			) );
! 		}
! 
  	} else {
! 		// We're on the front end, link to the Dashboard.
  		$wp_admin_bar->add_menu( array(
  			'parent' => 'site-name',
  			'id'     => 'dashboard',
***************
*** 568,573 ****
--- 576,593 ----
  	if ( ! current_user_can( 'edit_theme_options' ) )
  		return;
  
+ 	$current_url = ( is_ssl() ? 'https://' : 'http://' ) . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
+ 	$wp_admin_bar->add_menu( array(
+ 		'parent' => 'appearance',
+ 		'id'     => 'customize',
+ 		'title'  => __('Customize'),
+ 		'href'   => add_query_arg( 'url', urlencode( $current_url ), wp_customize_url() ),
+ 		'meta'   => array(
+ 			'class' => 'hide-if-no-customize',
+ 		),
+ 	) );
+ 	add_action( 'wp_before_admin_bar_render', 'wp_customize_support_script' );
+ 
  	if ( current_theme_supports( 'widgets' )  )
  		$wp_admin_bar->add_menu( array( 'parent' => 'appearance', 'id' => 'widgets', 'title' => __('Widgets'), 'href' => admin_url('widgets.php') ) );
  
***************
*** 680,686 ****
  /**
   * Set the display status of the admin bar.
   *
!  * This can be called immediately upon plugin load.  It does not need to be called from a function hooked to the init action.
   *
   * @since 3.1.0
   *
--- 700,706 ----
  /**
   * Set the display status of the admin bar.
   *
!  * This can be called immediately upon plugin load. It does not need to be called from a function hooked to the init action.
   *
   * @since 3.1.0
   *
***************
*** 741,745 ****
  
  	return 'true' === $pref;
  }
- 
- ?>
--- 761,763 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/atomlib.php ./wordpress-3.4/wp-includes/atomlib.php
*** ./wordpress-3.3.2/wp-includes/atomlib.php	2008-06-20 15:56:40.000000000 -0500
--- ./wordpress-3.4/wp-includes/atomlib.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 350,354 ****
                  $string );
      }
  }
- 
- ?>
--- 350,352 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/author-template.php ./wordpress-3.4/wp-includes/author-template.php
*** ./wordpress-3.3.2/wp-includes/author-template.php	2011-09-07 08:53:53.000000000 -0500
--- ./wordpress-3.4/wp-includes/author-template.php	2012-04-27 13:17:41.000000000 -0500
***************
*** 96,120 ****
   * @param int $user_id Optional. User ID.
   * @return string The author's field from the current author's DB object.
   */
! function get_the_author_meta($field = '', $user_id = false) {
! 	if ( ! $user_id )
  		global $authordata;
! 	else
  		$authordata = get_userdata( $user_id );
  
! 	// Keys used as object vars cannot have dashes.
! 	$field = str_replace('-', '', $field);
! 	$field = strtolower($field);
! 	$user_field = "user_$field";
! 
! 	if ( 'id' == $field )
! 		$value = isset($authordata->ID) ? (int)$authordata->ID : 0;
! 	elseif ( isset($authordata->$user_field) )
! 		$value = $authordata->$user_field;
! 	else
! 		$value = isset($authordata->$field) ? $authordata->$field : '';
  
! 	return apply_filters('get_the_author_' . $field, $value, $user_id);
  }
  
  /**
--- 96,115 ----
   * @param int $user_id Optional. User ID.
   * @return string The author's field from the current author's DB object.
   */
! function get_the_author_meta( $field = '', $user_id = false ) {
! 	if ( ! $user_id ) {
  		global $authordata;
! 		$user_id = isset( $authordata->ID ) ? $authordata->ID : 0;
! 	} else {
  		$authordata = get_userdata( $user_id );
+ 	}
  
! 	if ( in_array( $field, array( 'login', 'pass', 'nicename', 'email', 'url', 'registered', 'activation_key', 'status' ) ) )
! 		$field = 'user_' . $field;
  
! 	$value = isset( $authordata->$field ) ? $authordata->$field : '';
! 
! 	return apply_filters( 'get_the_author_' . $field, $value, $user_id );
  }
  
  /**
***************
*** 140,146 ****
   */
  function get_the_author_link() {
  	if ( get_the_author_meta('url') ) {
! 		return '<a href="' . get_the_author_meta('url') . '" title="' . esc_attr( sprintf(__("Visit %s&#8217;s website"), get_the_author()) ) . '" rel="external">' . get_the_author() . '</a>';
  	} else {
  		return get_the_author();
  	}
--- 135,141 ----
   */
  function get_the_author_link() {
  	if ( get_the_author_meta('url') ) {
! 		return '<a href="' . get_the_author_meta('url') . '" title="' . esc_attr( sprintf(__("Visit %s&#8217;s website"), get_the_author()) ) . '" rel="author external">' . get_the_author() . '</a>';
  	} else {
  		return get_the_author();
  	}
***************
*** 397,401 ****
  	wp_cache_delete('is_multi_author', 'posts');
  }
  add_action('transition_post_status', '__clear_multi_author_cache');
- 
- ?>
--- 392,394 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/bookmark.php ./wordpress-3.4/wp-includes/bookmark.php
*** ./wordpress-3.3.2/wp-includes/bookmark.php	2011-09-30 12:03:46.000000000 -0500
--- ./wordpress-3.4/wp-includes/bookmark.php	2012-01-11 15:26:18.000000000 -0600
***************
*** 101,109 ****
   *		links marked as 'invisible'.
   * 'show_updated' - Default is 0 (integer). Will show the time of when the
   *		bookmark was last updated.
!  * 'include' - Default is empty string (string). Include other categories
   *		separated by commas.
!  * 'exclude' - Default is empty string (string). Exclude other categories
   *		separated by commas.
   *
   * @since 2.1.0
--- 101,109 ----
   *		links marked as 'invisible'.
   * 'show_updated' - Default is 0 (integer). Will show the time of when the
   *		bookmark was last updated.
!  * 'include' - Default is empty string (string). Include bookmark ID(s)
   *		separated by commas.
!  * 'exclude' - Default is empty string (string). Exclude bookmark ID(s)
   *		separated by commas.
   *
   * @since 2.1.0
***************
*** 375,383 ****
   * @since 2.7.0
   * @uses wp_cache_delete() Deletes the contents of 'get_bookmarks'
   */
! function clean_bookmark_cache($bookmark_id) {
  	wp_cache_delete( $bookmark_id, 'bookmark' );
  	wp_cache_delete( 'get_bookmarks', 'bookmark' );
  }
- 
- ?>
--- 375,382 ----
   * @since 2.7.0
   * @uses wp_cache_delete() Deletes the contents of 'get_bookmarks'
   */
! function clean_bookmark_cache( $bookmark_id ) {
  	wp_cache_delete( $bookmark_id, 'bookmark' );
  	wp_cache_delete( 'get_bookmarks', 'bookmark' );
+ 	clean_object_term_cache( $bookmark_id, 'link');
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/bookmark-template.php ./wordpress-3.4/wp-includes/bookmark-template.php
*** ./wordpress-3.3.2/wp-includes/bookmark-template.php	2009-12-23 12:49:22.000000000 -0600
--- ./wordpress-3.4/wp-includes/bookmark-template.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 252,256 ****
  		return $output;
  	echo $output;
  }
- 
- ?>
--- 252,254 ----
